import { NativeModules, Platform } from 'react-native';

const LINKING_ERROR =
  `The package 'react-native-module-for-testing' doesn't seem to be linked. Make sure: \n\n` +
  Platform.select({ ios: "- You have run 'pod install'\n", default: '' }) +
  '- You rebuilt the app after installing the package\n' +
  '- You are not using Expo Go\n';

const ModuleForTesting = NativeModules.ModuleForTesting
  ? NativeModules.ModuleForTesting
  : new Proxy(
      {},
      {
        get() {
          throw new Error(LINKING_ERROR);
        },
      }
    );

export function multiply(a: number, b: number): Promise<number> {
  return ModuleForTesting.multiply(a, b);
}

export function initSDK() {
  return ModuleForTesting.initSDK();
}


export function setEventNameProperties(s: String) {
  return ModuleForTesting.setEventNameProperties(s);
}


